import request from '@/utils/request'

// 查询业务管理-检查管理列表
export function listManage(query) {
  return request({
    url: '/business/check/list',
    method: 'get',
    params: query
  })
}

export function listCheckManage(query) {
  return request({
    url: '/business/check/checkList',
    method: 'get',
    params: query
  })
}

export function selectCheckAll(query) {
  return request({
    url: '/business/check/checkListAll',
    method: 'get',
    params: query
  })
}

// 查询业务管理-检查管理详细
export function getManage(id) {
  return request({
    url: '/business/check/' + id,
    method: 'get'
  })
}

// 新增业务管理-检查管理
export function addManage(data) {
  return request({
    url: '/business/check',
    method: 'post',
    data: data
  })
}

// 修改业务管理-检查管理
export function updateManage(data) {
  return request({
    url: '/business/check',
    method: 'put',
    data: data
  })
}

// 删除业务管理-检查管理
export function delManage(id) {
  return request({
    url: '/business/check/' + id,
    method: 'delete'
  })
}
