import request from '@/utils/request'

// 查询宠物宠主信息
export function getPetInfo(query) {
  return request({
    url: '/business/register/getPetInfo',
    method: 'get',
    params: query
  })
}
// 获取当日值班医生列表
export function getDoctorInfo(query) {
  return request({
    url: '/business/register/getDoctorInfo',
    method: 'get',
    params: query
  })
}
// 根据手机号判断宠主是否存在，不存在新增宠主
export function checkPetOwner(query) {
  return request({
    url: '/business/register/checkPetOwner',
    method: 'get',
    params: query
  })
}

// 查询当日医生挂号详细信息
export function getRegisterDetail(id) {
  return request({
    url: '/system/manage/' + id,
    method: 'get'
  })
}
// 开具处方
export function submitPrescribing(data) {
  return request({
    url: '/business/record/submitPrescribing',
    method: 'post',
    data
  })
}
// 录入诊断提交
export function insertDiagnosis(data) {
  return request({
    url: '/business/record/insertDiagnosis',
    method: 'post',
    data
  })
}
