import request from '@/utils/request'

// 查看使用管理详情
export function useManagementDetail(id) {
  return request({
    url: '/business/check/use/' + id,
    method: 'get'
  })
}
// 查询使用列表分页
export function listUseManagement(query) {
  return request({
    url: '/business/check/useList',
    method: 'get',
    params: query
  })
}

// 查询使用列表
export function listUseManagementAll(query) {
  return request({
    url: '/business/check/useListAll',
    method: 'get',
    params: query
  })
}

// 检查项目

export function selectCheckItem(query) {
  return request({
    url: '/business/item/checkListByDept',
    method: 'get',
    params: query
  })
}

